# XQilla DOM3 API Documentation

# xercesc::StDOMNode< T > Class Template Reference

`#include <StDOMNode.hpp>`

List of all members.

## Public Member Functions

| StDOMNode (T *node=(T *) 0)
| StDOMNode (const StDOMNode &stNode)
| ~StDOMNode ()
T * | operator= (T *node)
bool | operator!= (T *node) const
bool | operator== (T *node) const
T & | operator* ()
const T & | operator* () const
T * | operator-> () const
| operator T * () const
void | ClearNode ()

### template<class T>
class xercesc::StDOMNode< T >

## Constructor & Destructor Documentation

template<class T >

xercesc::StDOMNode< T >::StDOMNode | ( | T * | node = `(T*)0` | ) | `[inline]`

template<class T >

xercesc::StDOMNode< T >::StDOMNode | ( | const StDOMNode< T > & | stNode | ) | `[inline]`

template<class T >

xercesc::StDOMNode< T >::~StDOMNode | ( |  | ) | `[inline]`

## Member Function Documentation

template<class T >

void xercesc::StDOMNode< T >::ClearNode | ( |  | ) | `[inline]`

template<class T >

xercesc::StDOMNode< T >::operator T * | ( |  | ) | const`[inline]`

template<class T >

bool xercesc::StDOMNode< T >::operator!= | ( | T * | node | ) | const`[inline]`

template<class T >

const T& xercesc::StDOMNode< T >::operator* | ( |  | ) | const`[inline]`

template<class T >

T& xercesc::StDOMNode< T >::operator* | ( |  | ) | `[inline]`

template<class T >

T* xercesc::StDOMNode< T >::operator-> | ( |  | ) | const`[inline]`

template<class T >

T* xercesc::StDOMNode< T >::operator= | ( | T * | node | ) | `[inline]`

template<class T >

bool xercesc::StDOMNode< T >::operator== | ( | T * | node | ) | const`[inline]`

The documentation for this class was generated from the following file:

- StDOMNode.hpp